import { Express } from 'express';
import { Logger } from 'common-stuff';
import { TorrentClient } from './services/torrent-client';
import { Config } from './config';
import 'express-async-errors';
export interface AppOptions {
    config?: Partial<Config>;
    configFile?: string;
    logger?: Logger;
    client?: TorrentClient;
}
export interface AppGlobals {
    app: Express;
    client: TorrentClient;
    logger: Logger;
    config: Config;
}
export declare function createApp(options: AppOptions): AppGlobals;
export declare function createAndRunApp(options: AppOptions): AppGlobals;
