"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serveCommand = void 0;
const common_stuff_1 = require("common-stuff");
const app_1 = require("../app");
exports.serveCommand = {
    command: ['serve'],
    describe: 'run torrent stream server',
    builder: {
        config: {
            type: 'string',
            alias: 'c',
            desc: 'path to JSON config',
        },
    },
    handler({ config }) {
        try {
            (0, app_1.createAndRunApp)({
                configFile: config,
            });
        }
        catch (err) {
            console.error((0, common_stuff_1.ensureError)(err).message);
            process.exit(1);
        }
    },
};
