"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.search = exports.getMeta = void 0;
const common_stuff_1 = require("common-stuff");
const helpers_1 = require("./helpers");
async function getMeta(targetProviders) {
    return (0, helpers_1.executeProviders)(targetProviders, (v) => v.getMeta());
}
exports.getMeta = getMeta;
async function search(targetProviders, query, options) {
    const words = (0, common_stuff_1.extractWords)(query);
    const { errors, items } = await (0, helpers_1.executeProviders)(targetProviders, (v) => v.search(query, options));
    return {
        errors,
        items: (0, common_stuff_1.sortBy)(items.flat(), (v) => {
            const index = (0, common_stuff_1.extractWords)(v.name);
            return [
                words.filter((word) => index.includes(word)).length * -1,
                v.seeds * -1,
            ];
        }),
    };
}
exports.search = search;
